## python-parted 0.10

=== doc/Makefile ===
# $Progeny: Makefile,v 1.2 2002/01/18 06:20:55 dsp Exp $

doctools=../doctools

IGNOREFILES=	api

all: .cvsignore api/index.html

api/index.html: ../parted.py
	happydoc -d api ../parted.py

clean:

maintainer-clean:
	rm -rf api

.PHONY: all clean maintainer-clean

include ${doctools}/docbook.mk

## python-parted 0.11.2

=== debian/changelog ===
python-parted (0.11.2) unstable; urgency=low

  * Non-maintainer upload.
  * Reference /usr/share/common-licenses from copyright. (closes: #215638)

 -- Graham Wilson <graham@debian.org>  Fri, 17 Oct 2003 18:00:59 +0000

python-parted (0.11.1) unstable; urgency=low

  * NMU
  * Update for python2.3 as the default python version (closes: #205752).

 -- Matthias Klose <doko@debian.org>  Thu, 21 Aug 2003 21:20:49 +0200

python-parted (0.11) unstable; urgency=low

  * ported to libparted 1.6; thanks to Torsten Landschoff for his very
    generous help with this task! (Closes: #153651)

  * NOTE: The parted.geometry_get_disk() function has been removed.  Use
    parted.geometry_get_device().  This tracks an upstream Parted library
    change, so see the Parted library documentation for details.

  * NOTE: This Python module is even more alpha than usual thanks to the
    recent Parted 1.6 transition.  Use with caution!  (This means you, pgi.)

  * NOTE: Future development of this Python module will likely involve the
    writing of SWIG bindings for Parted.

  * pyparted.c:
    - Took the lineage off of Eric's name since he no longer prefers to have
      it listed.
    - libparted1.6 support changes, courtesy of Torsten Landschoff:
      + (init): remove call to ped_init()
      + (disk_open): call ped_disk_new() instead of ped_disk_open()
      + (disk_create): call ped_disk_new_fresh() instead of ped_disk_create()
      + (disk_close): call ped_disk_destroy() instead of ped_disk_close()
      + (disk_write): call ped_disk_commit() instead of ped_disk_write()
      + (geometry_get_disk): removed
      + (geometry_get_device): new; formerly geometry_get_disk(), now returns
        a device object instead of a disk object
      + (partition_is_efi, partition_mark_efi): function bodies eliminated
      + (constraint_new): handle new max_size argument (XXX: this change looks
        incomplete)
      + (done): remove call to ped_done()
      + (disk_close, disk_read, partition_is_efi, partition_mark_efi): always
        return true (1)
      + (file_system_create, file_system_check, file_system_copy,
         file_system_resize): pass additional NULL argument at end of enclosed
         Parted library function
    - Handle functions with constraints, and new max_size constraint, a little
      better.
    - (disk_add_partition, disk_set_partition_geom, disk_maximize_partition):
      ped_constraint_any() now takes a PedDevice as its first argument, not a
      PedDisk.
    - (file_system_copy): return a Python object, not an integer.
    - Add comments explaining what's going on with the only compiler warning
      this file generates.

  * debian/control:
    - add Uploaders field and put myself in it
    - bump build dependency on libparted-dev to libparted1.6-dev
    - update dependency on Python to (>= 2.2), (<< 2.3)

 -- Branden Robinson <branden@progeny.com>  Tue, 17 Sep 2002 17:32:32 -0500

python-parted (0.10-1) unstable; urgency=low

  * Move from using old Python extension helpers to using distutils
    (standard Python build system).
  * Update copyright file.
  * Add AUTHORS and README files.
  * Two patches from Pekka Aleksi Knuutila <zur@edu.lahti.fi>:
    - pyparted.c: Fix incorrect PedSector cast. (Closes: #137530)
    - Add Alignment and Constraint classes. (Closes: #138203)
  * parted.py: Docstring fixes and don't import _parted until the init
    function is called; this is better for introspection tools (think
    docstring extracters) which we don't want to see _parted.

 -- Eric Gillespie <epg@progeny.com>  Mon, 18 Mar 2002 20:43:42 -0500

python-parted (0.9.5-2) unstable; urgency=low

  * Cleanup the rules file.
  * Kill the copyright template file and make a real one.

 -- Eric Gillespie, Jr. <epg@progeny.com>  Fri,  8 Feb 2002 22:25:19 -0500

python-parted (0.9.5-1) unstable; urgency=low

  * Fix the Partition class's get_part_list method; now it returns a
    Sequence object like the Disk class's get_part_list method.
  * Update copyright dates.

 -- Eric Gillespie, Jr. <epg@progeny.com>  Fri,  8 Feb 2002 21:54:37 -0500

python-parted (0.9.4-1) unstable; urgency=low

  * Add Build-Depends and bump Standards-Version. (branden@progeny.com)
  * New hacks for setting up EFI boot partitions.

 -- Eric Gillespie, Jr. <epg@progeny.com>  Wed,  6 Feb 2002 16:56:21 -0500

python-parted (0.9.3-1) unstable; urgency=low

  * Kill tons of Debhelper cruft.
  * Upgrade for Python 2.1
  * Upgrade for Parted 1.4.21.
  * Build API documentation from docstrings.  Much improvement needed
    here.
  * docstring fixes and eliminating all "ped", "Ped", or "ped_" in the
    interface.

 -- Eric Gillespie, Jr. <epg@progeny.com>  Thu, 17 Jan 2002 15:04:03 -0500

python-parted (0.9.2-1) unstable; urgency=low

  * Remove explicit Depends on libparted1.
  * Note that the previous release never actually happened since i screwed
    up the version number. So this is the first release to include those
    changes. Its changelog has been copied below:
  * Various bugfixes, mostly typos in parted.py and missing arguments in
    pyparted.c.

 -- Eric Gillespie, Jr. <epg@progeny.com>  Mon, 16 Apr 2001 15:48:52 -0500

python-parted (0.9.1-1) unstable; urgency=low

  * Various bugfixes, mostly typos in parted.py and missing arguments in
    pyparted.c.

 -- Eric Gillespie, Jr. <epg@progeny.com>  Wed,  7 Feb 2001 16:13:12 -0500

python-parted (0.9.0-1) unstable; urgency=low

  * Initial Release.

 -- Jeff Licquia <jlicquia@progeny.com>  Thu,  4 Jan 2001 00:27:08 -0500

  vim:ai:et:sts=2:sw=2:tw=78:
  $Progeny: changelog,v 1.21 2002/09/17 22:33:03 branden Exp $

=== debian/control ===
Source: python-parted
Section: interpreters
Priority: optional
Maintainer: Progeny Debian Packaging Team <debian-packages@progeny.com>
Uploaders: Branden Robinson <branden@progeny.com>
Standards-Version: 3.5.6
Build-Depends: python-dev (>= 2.3), python-dev (<< 2.4), libparted1.6-dev, uuid-dev, debhelper

Package: python-parted
Architecture: any
Depends: ${shlibs:Depends}, python (>= 2.3), python (<< 2.4)
Description: Python bindings for GNU Parted
 GNU Parted is a library for manipulating disk partitions.  This module
 contains Python bindings for the library.

## python-parted 0.11.2ubuntu2

=== debian/changelog ===
python-parted (0.11.2ubuntu2) hoary; urgency=low

  * Build for python2.4.

 -- Matthias Klose <m@klose.in-berlin.de>  Wed, 15 Dec 2004 22:38:11 +0100

python-parted (0.11.2ubuntu1) hoary; urgency=low

  * Ported to new libparted ABI (1.6.12):

  * NOTE: The parted.device_get_cylinders(), parted.device_get_heads(), and
    parted.device_get_sectors() functions have been removed.  Use
    parted.device_get_bios_geom().get_cylinders() etc. or
    parted.device_get_hw_geom().get_cylinders() etc. instead.

  * pyparted.c:
    - (chs_geometry_get_cylinders, chs_geometry_get_heads,
      chs_geometry_get_sectors): new; similar information formerly
      accessible using device_get_cylinders(), device_get_heads(),
      device_get_sectors()
    - (device_get_hw_geom, device_get_bios_geom): new, returning CHSGeometry
      objects; tracks upstream libparted API change
    - (device_get_geom_known): removed; tracks upstream libparted API change

  * parted.py:
    - New CHSGeometry class. Other changes in line with the above.

  * debian/control: Build-depend on libparted1.6-dev (>= 1.6.12) for the new
    API.

 -- Colin Watson <cjwatson@canonical.com>  Fri,  3 Dec 2004 12:17:06 +0000

## python-parted 0.11.2ubuntu3

=== debian/changelog ===
python-parted (0.11.2ubuntu3) breezy; urgency=low

  * debian/dirs: Remove. Ubuntu 9732.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  1 Aug 2005 10:42:26 +0200

=== debian/control ===
Source: python-parted
Section: python
Priority: optional
Maintainer: Progeny Debian Packaging Team <debian-packages@progeny.com>
Uploaders: Branden Robinson <branden@progeny.com>
Standards-Version: 3.5.6
Build-Depends: python-dev (>= 2.4), python-dev (<< 2.5), libparted1.6-dev (>= 1.6.12), uuid-dev, debhelper (>= 4.2.28)

Package: python-parted
Architecture: any
Depends: ${shlibs:Depends}, python (>= 2.4), python (<< 2.5)
Description: Python bindings for GNU Parted
 GNU Parted is a library for manipulating disk partitions.  This module
 contains Python bindings for the library.

## python-parted 0.11.2ubuntu4

=== debian/changelog ===
python-parted (0.11.2ubuntu4) dapper; urgency=low

  * Build with new libparted ABI (1.6.13).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  1 Nov 2005 12:30:13 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Progeny Debian Packaging Team <debian-packages@progeny.com>
 Uploaders: Branden Robinson <branden@progeny.com>
 Standards-Version: 3.5.6
-Build-Depends: python-dev (>= 2.4), python-dev (<< 2.5), libparted1.6-dev (>= 1.6.12), uuid-dev, debhelper (>= 4.2.28)
+Build-Depends: python-dev (>= 2.4), python-dev (<< 2.5), libparted1.6-dev (>= 1.6.24), uuid-dev, debhelper (>= 4.2.28)
 
 Package: python-parted
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# $Progeny: rules,v 1.7 2002/03/18 21:18:49 epg Exp $

export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	python setup.py build

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	rm -rf build

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	python setup.py install --root=${CURDIR}/debian/tmp
	-find debian/tmp -name '*.py[co]' | xargs rm -f

binary-indep: build install
# Nothing to do here.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs 
	dh_strip
	dh_python
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## python-parted 0.11.2ubuntu5

=== debian/changelog ===
python-parted (0.11.2ubuntu5) edgy; urgency=low

  * Changed build-dep libparted1.6-dev to libparted1.7-dev.  Closes #59861

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 11 Sep 2006 02:09:53 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Progeny Debian Packaging Team <debian-packages@progeny.com>
 Uploaders: Branden Robinson <branden@progeny.com>
 Standards-Version: 3.5.6
-Build-Depends: python-dev (>= 2.4), python-dev (<< 2.5), libparted1.6-dev (>= 1.6.24), uuid-dev, debhelper (>= 4.2.28)
+Build-Depends: python-dev (>= 2.4), python-dev (<< 2.5), libparted1.7-dev, uuid-dev, debhelper (>= 4.2.28)
 
 Package: python-parted
 Architecture: any
